Search results for

“Request failed with http status code 503”

200,944 results found

Post

Replies

Boosts

Views

Activity

Notarization Failure. HTTP status code: 401
Iam trying to notarize with notarytool command with app-specific password. xcrun notarytool submit --apple-id --password --team-id But it fails with error Error: HTTP status code: 401. Unable to authenticate. Invalid session. Ensure that all authentication arguments are correct. Tried generating new app-specific password, still failing. Tried storing password in keychain with store-credentials option, again failing. --verbose option with store-credentials showing below error This process stores your credentials securely in the Keychain. You reference these credentials later using a profile name. Validating your credentials... [06:05:28.854Z] Info [API] Initialized Notary API with base URL: https://appstoreconnect.apple.com/notary/v2/ [06:05:28.854Z] Info [API] Preparing GET request to URL: https://appstoreconnect.apple.com/notary/v2/test?, Parameters: [:], Custom Headers: private> [06:05:28.855Z] Debug [AUTHENTICATION] Del
8
0
905
Nov ’24
Build number request failed with error: BuildsService: ResponseErrors (1): Error status: 403, code: FORBIDDEN_ERROR
Hi Team, this is the full error message Error Analyzing App Version Build number request failed with error: BuildsService: ResponseErrors (1): Error status: 403, code: FORBIDDEN_ERROR, title: 'This request is forbidden for security reasons', detail: 'The API key in use does not allow this request', id: c959a0b0-f507-4d77-abf0-f66e87b21821 request id getting random and same error message appear with the associated developer account. Please guide or hint me to resolve the error
1
0
2k
Oct ’21
HTTP 400 status code
Recently, we completed a merger with our parent company. We are currently integrated with Apple Pay in accordance with the “Apple Pay Payment Processing on the Web” guidelines. Due to the change in the legal entity, we proceeded with the account migration process as outlined below: Creation of a new Apple Developer account and a new Apple Pay Identifier Removal of the Merchant Domain (dc2-web.happy.co.kr) from the existing Identifier Registration of the Merchant Domain (dc2-web.happy.co.kr) under the new Identifier Using the Merchant Domain registered under the new Identifier and the Apple Pay Merchant Identity Certificate issued from the new Identifier, we attempted to obtain an Apple Pay session by sending requests to the following endpoint: https://apple-pay-gateway.apple.com/paymentservices/startSession However, we are intermittently receiving failure responses with an HTTP 400 status code. With regard to these intermittent failures, we would like to inquire wh
0
0
239
Jan ’26
Apple Music API Authenticate Requests Got a Http Status Code 500
I try to use Apple Music API and do as the document says, first created the JWT and made the authenticate request as bellow:curl -v -H 'Authorization: Bearer eyJhbGciOiJFUzI1NiIsImtpZCI6IkNhcEV4ZWRLaWQifQ.eyJpc3MiOiJDYXBFeGRUZWFtIiwiaWF0IjoxNDk3MjMyMjIzLCJleHAiOjE1MDcyMzIyMjN9.MEUCIQDtq896THqLbvJcN2qYzCoiOqDI7Rk_LXlBfnSBp-YBWwIgdyLX4T4LZkWKE4o(The private key was provided by the doc. )I try many times, but only got a Http status code 500... the details were below:* Trying 23.218.1.89...* TCP_NODELAY set* Connected to api.music.apple.com (23.218.1.89) port 443 (#0)* TLS 1.2 connection using TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384* Server certificate: api.music.apple.com* Server certificate: Symantec Class 3 EV SSL CA - G3* Server certificate: VeriSign Class 3 Public Primary Certification Authority - G5> GET /v1/catalog/us/songs/203709340 HTTP/1.1> Host: api.music.apple.com> User-Agent: curl/7.50.3> Accept: */> Authorization: Bearer eyJhbGciOiJFUzI1NiIsI
3
0
1.2k
Jun ’17
IAP receipt validation fails with status code: 21002
I have implemented IAP. The purchases are successful. The refresh receipt is working fine, which then calls the requestDidFinish(_ request: SKRequest) delegate. I'm fetching the receipt url through 'Bundle.main.appStoreReceiptURL'. When I convert the receipt data in base64 string and send it to app store's sandbox api and try to validate the receipt, it fails giving status code : 21002.
2
0
301
Aug ’25
Notification payload sent to APNS through HTTP/2 Request with status code 200
Hi all, I'm trying to send 1000 notification payload to APNS server for the same device token. When my program sent out the notification payload to APNS, through http/2 and getting the response 200 for all my requests. And it confirms that the payload is sent to APNS server. However, the device cannot receive any notification, did i missed anything!
1
0
880
Jun ’21
HTTP Status 400 – Bad Request
I'm making a POST function but I'm getting an error. I am getting HTTP Status 400 – Bad Request error in console. In the simulator, it says Something went wrong. Please try again later on the screen. I don't understand where I am making the mistake. I need to fix this error urgently. Could you help? JSON Model: struct TaniTalep: Encodable { let photo: Data? let xray: Data? let talep: String init(photo: UIImage?, xray: UIImage?, talep: Talep) throws { self.photo = photo?.pngData() self.xray = xray?.pngData() let jsonData = try JSONEncoder().encode(talep) self.talep = String(data: jsonData, encoding: .utf8)! } } struct Talep: Codable { let tanitalepid: Int let hastaid: Int let cevap: String let anamnezList: [Anamnez] let sikayetanaList: [SikayetAna] let sorucevapList: [SoruCevap] struct SoruCevap: Codable { let sikayetsoruid: Int let soru: String let sorucevap: String } struct SikayetAna: Codable { let sikayet: String let sikayetanaid: Int } struct Anamnez: Codable { let aciklama: Str
2
0
2.8k
Aug ’22
Reply to Is anyone else getting 503 service unavailable when trying to Sign and Package a build?
Revisiting this thread again.As of now 1:37 PM EST I am getting an error while code signing my appXcode received an HTTP error while attempting to communicate with the portal:service unavailable (503)<https://developerservices2.apple.com/services/QH65B2/viewDeveloper.action?clientId=XABBG36SBA>Please see <https://developer.apple.com/support/system-status/> for more information.Is there any one else getting the same error here?Thanks
Sep ’15
Reply to WKWebview lost cookie when multiple redirect
Met exactly the same scenario :( For example, here is some web client request chain: start from some login request like https://xxxx/sso/login status code 302, redirect to step 2 url some OAuth2.0 request like https://xxx/oauth2/authorize?response_type=code&redirect_uri=xxx status code 302 and response cookie(like some request token token_1), redirect to step 3 url some authenticate request like https://xxx/auth important here, this request will have a cookie like token=token_1 ... While iOS client(use WKWebView) will lost the cookie from the response of step 2. And I tried all the methods in WKNavigationDelegate to intercept these 302 request. ALL FAILED. Can anyone help to fix this terrible issue Orz!!!
Topic: Safari & Web SubTopic: General Tags:
Feb ’21
Reply to Unable to deploy apps from Xcode to watch
I am facing the same issue with the life version of watchOS 9.1. Says the console: DVTDownloadable: Download Failed. Downloadable: https://download.developer.apple.com/Developer_Tools/watchOS_20S75/Watch6_7_20S75.dmg. Error Domain=DVTACSURLSessionDelegate Code=1 Failed with HTTP status 403: forbidden UserInfo={NSLocalizedDescription=Failed with HTTP status 403: forbidden} DVTDownloadable: Download Failed. Downloadable: https://devimages-cdn.apple.com/downloads/xcode/dsc/Watch6_7_20S75.dmg. Error Domain=DVTACSURLSessionDelegate Code=1 Failed with HTTP status 403: forbidden UserInfo={NSLocalizedDescription=Failed with HTTP status 403: forbidden}
Oct ’22
Reply to v1/appPriceSchedules 409
Also started seeing this around 2025-09-05. Using the manualPrice id returned from a previous relationships/manualPrices result. Error: Request https://api.appstoreconnect.apple.com/v1/inAppPurchasePriceSchedules failed with status code 409. Related response error(s): The request failed with response code 409 ENTITY_ERROR.INCLUDED.INVALID_ID The provided entity id is invalid. The provided included entity id 'eyJzIjoiNjQ1MTIxNzg3OSIsInQiOiJVU0EiLCJwIjoiMTAwOTQiLCJzZCI6MC4wLCJlZCI6MC4wfQ' has invalid format).
Sep ’25
HTTP Requests Failing on iOS Simulator but Working on Physical Devices
Hello everyone, We are currently facing an issue when testing our hybrid mobile application (built with Ionic and Angular) on the iOS Simulator. The app works perfectly on physical iOS devices — all HTTP requests complete successfully. However, when running the same build on the iOS Simulator, every HTTP request fails with the following error: { headers: { normalizedNames: {}, lazyUpdate: null, headers: {} }, status: 0, statusText: Unknown Error, url: https://api.bizify.com.br/demo/api/ping, ok: false, name: HttpErrorResponse, message: Http failure response for https://api.bizify.com.br/demo/api/ping: 0 Unknown Error, error: { isTrusted: true } } We have confirmed that the API endpoint https://api.bizify.com.br/demo/api/ping is reachable and secured with a valid SSL certificate. This issue occurs only in the iOS Simulator — not on Android devices or physical iOS devices. Has anyone encountered this issue before? Any insi
2
0
119
Nov ’25
Notarization Failure. HTTP status code: 401
Iam trying to notarize with notarytool command with app-specific password. xcrun notarytool submit --apple-id --password --team-id But it fails with error Error: HTTP status code: 401. Unable to authenticate. Invalid session. Ensure that all authentication arguments are correct. Tried generating new app-specific password, still failing. Tried storing password in keychain with store-credentials option, again failing. --verbose option with store-credentials showing below error This process stores your credentials securely in the Keychain. You reference these credentials later using a profile name. Validating your credentials... [06:05:28.854Z] Info [API] Initialized Notary API with base URL: https://appstoreconnect.apple.com/notary/v2/ [06:05:28.854Z] Info [API] Preparing GET request to URL: https://appstoreconnect.apple.com/notary/v2/test?, Parameters: [:], Custom Headers: private> [06:05:28.855Z] Debug [AUTHENTICATION] Del
Replies
8
Boosts
0
Views
905
Activity
Nov ’24
Build number request failed with error: BuildsService: ResponseErrors (1): Error status: 403, code: FORBIDDEN_ERROR
Hi Team, this is the full error message Error Analyzing App Version Build number request failed with error: BuildsService: ResponseErrors (1): Error status: 403, code: FORBIDDEN_ERROR, title: 'This request is forbidden for security reasons', detail: 'The API key in use does not allow this request', id: c959a0b0-f507-4d77-abf0-f66e87b21821 request id getting random and same error message appear with the associated developer account. Please guide or hint me to resolve the error
Replies
1
Boosts
0
Views
2k
Activity
Oct ’21
Darksky API not responding (HTTP 503 Service Unavailable)
Earlier today, DarkSky API stopped responding and is still not responding to our requests. It returns an HTTP 503 Service Temporarily Unavailable error.
Replies
12
Boosts
0
Views
1.7k
Activity
Mar ’23
HTTP 400 status code
Recently, we completed a merger with our parent company. We are currently integrated with Apple Pay in accordance with the “Apple Pay Payment Processing on the Web” guidelines. Due to the change in the legal entity, we proceeded with the account migration process as outlined below: Creation of a new Apple Developer account and a new Apple Pay Identifier Removal of the Merchant Domain (dc2-web.happy.co.kr) from the existing Identifier Registration of the Merchant Domain (dc2-web.happy.co.kr) under the new Identifier Using the Merchant Domain registered under the new Identifier and the Apple Pay Merchant Identity Certificate issued from the new Identifier, we attempted to obtain an Apple Pay session by sending requests to the following endpoint: https://apple-pay-gateway.apple.com/paymentservices/startSession However, we are intermittently receiving failure responses with an HTTP 400 status code. With regard to these intermittent failures, we would like to inquire wh
Replies
0
Boosts
0
Views
239
Activity
Jan ’26
Apple Music API Authenticate Requests Got a Http Status Code 500
I try to use Apple Music API and do as the document says, first created the JWT and made the authenticate request as bellow:curl -v -H 'Authorization: Bearer eyJhbGciOiJFUzI1NiIsImtpZCI6IkNhcEV4ZWRLaWQifQ.eyJpc3MiOiJDYXBFeGRUZWFtIiwiaWF0IjoxNDk3MjMyMjIzLCJleHAiOjE1MDcyMzIyMjN9.MEUCIQDtq896THqLbvJcN2qYzCoiOqDI7Rk_LXlBfnSBp-YBWwIgdyLX4T4LZkWKE4o(The private key was provided by the doc. )I try many times, but only got a Http status code 500... the details were below:* Trying 23.218.1.89...* TCP_NODELAY set* Connected to api.music.apple.com (23.218.1.89) port 443 (#0)* TLS 1.2 connection using TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384* Server certificate: api.music.apple.com* Server certificate: Symantec Class 3 EV SSL CA - G3* Server certificate: VeriSign Class 3 Public Primary Certification Authority - G5> GET /v1/catalog/us/songs/203709340 HTTP/1.1> Host: api.music.apple.com> User-Agent: curl/7.50.3> Accept: */> Authorization: Bearer eyJhbGciOiJFUzI1NiIsI
Replies
3
Boosts
0
Views
1.2k
Activity
Jun ’17
IAP receipt validation fails with status code: 21002
I have implemented IAP. The purchases are successful. The refresh receipt is working fine, which then calls the requestDidFinish(_ request: SKRequest) delegate. I'm fetching the receipt url through 'Bundle.main.appStoreReceiptURL'. When I convert the receipt data in base64 string and send it to app store's sandbox api and try to validate the receipt, it fails giving status code : 21002.
Replies
2
Boosts
0
Views
301
Activity
Aug ’25
Product Request Failed with AMSErrorDomain code: 301
Hello,I can not request Product Information with Sandbox account this morning with error AMSErrorDomain status code 301.Has anyone also experience this issue?Thanks.Kevin
Replies
1
Boosts
0
Views
1.9k
Activity
Apr ’20
Notification payload sent to APNS through HTTP/2 Request with status code 200
Hi all, I'm trying to send 1000 notification payload to APNS server for the same device token. When my program sent out the notification payload to APNS, through http/2 and getting the response 200 for all my requests. And it confirms that the payload is sent to APNS server. However, the device cannot receive any notification, did i missed anything!
Replies
1
Boosts
0
Views
880
Activity
Jun ’21
HTTP Status 400 – Bad Request
I'm making a POST function but I'm getting an error. I am getting HTTP Status 400 – Bad Request error in console. In the simulator, it says Something went wrong. Please try again later on the screen. I don't understand where I am making the mistake. I need to fix this error urgently. Could you help? JSON Model: struct TaniTalep: Encodable { let photo: Data? let xray: Data? let talep: String init(photo: UIImage?, xray: UIImage?, talep: Talep) throws { self.photo = photo?.pngData() self.xray = xray?.pngData() let jsonData = try JSONEncoder().encode(talep) self.talep = String(data: jsonData, encoding: .utf8)! } } struct Talep: Codable { let tanitalepid: Int let hastaid: Int let cevap: String let anamnezList: [Anamnez] let sikayetanaList: [SikayetAna] let sorucevapList: [SoruCevap] struct SoruCevap: Codable { let sikayetsoruid: Int let soru: String let sorucevap: String } struct SikayetAna: Codable { let sikayet: String let sikayetanaid: Int } struct Anamnez: Codable { let aciklama: Str
Replies
2
Boosts
0
Views
2.8k
Activity
Aug ’22
Reply to Is anyone else getting 503 service unavailable when trying to Sign and Package a build?
Revisiting this thread again.As of now 1:37 PM EST I am getting an error while code signing my appXcode received an HTTP error while attempting to communicate with the portal:service unavailable (503)<https://developerservices2.apple.com/services/QH65B2/viewDeveloper.action?clientId=XABBG36SBA>Please see <https://developer.apple.com/support/system-status/> for more information.Is there any one else getting the same error here?Thanks
Replies
Boosts
Views
Activity
Sep ’15
Reply to WKWebview lost cookie when multiple redirect
Met exactly the same scenario :( For example, here is some web client request chain: start from some login request like https://xxxx/sso/login status code 302, redirect to step 2 url some OAuth2.0 request like https://xxx/oauth2/authorize?response_type=code&redirect_uri=xxx status code 302 and response cookie(like some request token token_1), redirect to step 3 url some authenticate request like https://xxx/auth important here, this request will have a cookie like token=token_1 ... While iOS client(use WKWebView) will lost the cookie from the response of step 2. And I tried all the methods in WKNavigationDelegate to intercept these 302 request. ALL FAILED. Can anyone help to fix this terrible issue Orz!!!
Topic: Safari & Web SubTopic: General Tags:
Replies
Boosts
Views
Activity
Feb ’21
Reply to Unable to deploy apps from Xcode to watch
I am facing the same issue with the life version of watchOS 9.1. Says the console: DVTDownloadable: Download Failed. Downloadable: https://download.developer.apple.com/Developer_Tools/watchOS_20S75/Watch6_7_20S75.dmg. Error Domain=DVTACSURLSessionDelegate Code=1 Failed with HTTP status 403: forbidden UserInfo={NSLocalizedDescription=Failed with HTTP status 403: forbidden} DVTDownloadable: Download Failed. Downloadable: https://devimages-cdn.apple.com/downloads/xcode/dsc/Watch6_7_20S75.dmg. Error Domain=DVTACSURLSessionDelegate Code=1 Failed with HTTP status 403: forbidden UserInfo={NSLocalizedDescription=Failed with HTTP status 403: forbidden}
Replies
Boosts
Views
Activity
Oct ’22
Reply to v1/appPriceSchedules 409
Also started seeing this around 2025-09-05. Using the manualPrice id returned from a previous relationships/manualPrices result. Error: Request https://api.appstoreconnect.apple.com/v1/inAppPurchasePriceSchedules failed with status code 409. Related response error(s): The request failed with response code 409 ENTITY_ERROR.INCLUDED.INVALID_ID The provided entity id is invalid. The provided included entity id 'eyJzIjoiNjQ1MTIxNzg3OSIsInQiOiJVU0EiLCJwIjoiMTAwOTQiLCJzZCI6MC4wLCJlZCI6MC4wfQ' has invalid format).
Replies
Boosts
Views
Activity
Sep ’25
Reply to buy.itunes.apple.com/verifyReceipt exception, time out
The http 503 issue is under investigation. If the server retries the call to verifyReceipt, the request can succeed.rich kubota - rkubota@apple.comdeveloper technical support CoreOS/Hardware/MFI
Topic: App & System Services SubTopic: StoreKit Tags:
Replies
Boosts
Views
Activity
Feb ’20
HTTP Requests Failing on iOS Simulator but Working on Physical Devices
Hello everyone, We are currently facing an issue when testing our hybrid mobile application (built with Ionic and Angular) on the iOS Simulator. The app works perfectly on physical iOS devices — all HTTP requests complete successfully. However, when running the same build on the iOS Simulator, every HTTP request fails with the following error: { headers: { normalizedNames: {}, lazyUpdate: null, headers: {} }, status: 0, statusText: Unknown Error, url: https://api.bizify.com.br/demo/api/ping, ok: false, name: HttpErrorResponse, message: Http failure response for https://api.bizify.com.br/demo/api/ping: 0 Unknown Error, error: { isTrusted: true } } We have confirmed that the API endpoint https://api.bizify.com.br/demo/api/ping is reachable and secured with a valid SSL certificate. This issue occurs only in the iOS Simulator — not on Android devices or physical iOS devices. Has anyone encountered this issue before? Any insi
Replies
2
Boosts
0
Views
119
Activity
Nov ’25